Ciele

Import a bundle as a new Assistant

POST/api/v1/assistants/import

Requires an Organization API key with the edit capability.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/assistants/import" \  -H "Content-Type: application/json" \  -d '{    "bundle": {      "bundleVersion": 1,      "assistant": {        "title": "string",        "property1": null,        "property2": null      },      "flows": [        {          "name": "string",          "enabled": true,          "builtIn": true,          "isDefault": true        }      ],      "skills": [        {          "name": "string",          "description": "string",          "prompt": "string"        }      ],      "collections": [        "string"      ],      "apiIntegration": {        "name": "string",        "baseUrl": "string",        "authType": "none",        "endpoints": [          {            "id": "string",            "name": "string",            "path": "string",            "method": "GET",            "purpose": "string"          }        ]      }    }  }'
{  "assistantId": "string",  "report": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}